<div class="limiter">
  <div class="container-login100">
    <div class="wrap-login100">
      <form class="login100-form validate-form" #FormGroupDirective [formGroup]="RegistroForm" (ngSubmit)="onSubmit()">
        <span class="login100-form-title p-b-30">
          Registrar Usuario
        </span>
        <mat-form-field class="example-full-width" appearance="outline">
          <mat-label>Nombre(s)</mat-label>
          <input matInput formControlName="nombreUsuario" required>
          <mat-icon matSuffix>face</mat-icon>
          <mat-error *ngIf="RegistroForm.get('nombreUsuario').hasError('required')">
            El nombre es requerido
          </mat-error>
        </mat-form-field>
        <mat-form-field class="example-full-width" appearance="outline">
          <mat-label>Apellido(s)</mat-label>
          <input matInput formControlName="apellido" required>
          <mat-icon matSuffix>face</mat-icon>
          <mat-error *ngIf="RegistroForm.get('apellido').hasError('required')">
            El apellido es requerido
          </mat-error>
        </mat-form-field>
        <mat-form-field class="example-full-width" appearance="outline">
          <mat-label>Correo Electrónico</mat-label>
          <input matInput formControlName="correo" required>
          <mat-icon matSuffix>mail</mat-icon>
          <mat-error *ngIf="RegistroForm.get('correo').hasError('required') || RegistroForm.get('correo').touched">
            Introduzca un correo valido
          </mat-error>
        </mat-form-field>
        <mat-form-field class="example-full-width" appearance="outline">
          <mat-label>Teléfono</mat-label>
          <input matInput onkeypress='return event.charCode >= 48 && event.charCode <= 57' maxlength="10" formControlName="telefono" required>
          <mat-icon matSuffix>phone</mat-icon>
          <mat-error *ngIf="RegistroForm.get('telefono').hasError('required')">
            El Teléfono es requerido
          </mat-error>
        </mat-form-field>
        <mat-form-field class="example-full-width" appearance="outline">
          <mat-label>Dirección</mat-label>
          <input matInput formControlName="direccion" required>
          <mat-icon matSuffix>directions</mat-icon>
          <mat-error *ngIf="RegistroForm.get('direccion').hasError('required')">
            La dirección es requerida
          </mat-error>
        </mat-form-field>
        <mat-form-field class="example-full-width" appearance="outline">
          <mat-label>Contraseña</mat-label>
          <input matInput formControlName="contra" [type]="hide ? 'password' : 'text'" required>
          <mat-icon matSuffix (click)="hide = !hide">
            {{hide ? 'visibility_off' : 'visibility'}}</mat-icon>
          <mat-error *ngIf="RegistroForm.get('contra').hasError('required')">
            La contraseña es requerida
          </mat-error>
        </mat-form-field>
        <mat-form-field class="example-full-width" appearance="outline">
          <mat-label>Confirmar Contraseña</mat-label>
          <input matInput formControlName="contraC" [type]="chide ? 'password' : 'text'" required>
          <mat-icon matSuffix (click)="chide = !chide">
            {{chide ? 'visibility_off' : 'visibility'}}</mat-icon>
          <mat-error *ngIf="RegistroForm.get('contraC').hasError('required')">
            La contraseña es requerida
          </mat-error>
        </mat-form-field>
        <label class="example-margin font-weight-bold">Metodo de pago:</label>
        <br>
        <div class="container">
          <div class="row">
            <div class="col-md-6">
              <div id="roott"></div>
            </div>
            <div class="col-md-6">
              <button [disabled]="!RegistroForm.valid" mat-flat-button color="primary" class="login100-form-btn">
                Oxxo Pay
              </button>
            </div>
          </div>
          <div class="row">
            <div class="col-md-12">
              <button [disabled]="!RegistroForm.valid" mat-flat-button color="primary" *ngIf="!formtajeta" class="login100-form-btn" (click)="verFormTarjeta();creausuario();" type="button">
                Tarjeta Credito/Debito via OpenPay
              </button>
              <form [formGroup]="TarjetaForm" #FormGroupDirective2 *ngIf="formtajeta">
                <div class="row">
                <div class="col-md-12">
                  <mat-form-field class="example-full-width" appearance="outline">
                    <mat-label>Numero de tarjeta</mat-label>
                    <input matInput type="text" onkeypress='return event.charCode >= 48 && event.charCode <= 57' maxlength="16" formControlName="numerocard" required>
                    <mat-error *ngIf="TarjetaForm.get('numerocard').hasError('required')">
                      El numero es requerido
                    </mat-error>
                  </mat-form-field>
                </div>
                <div class="col-md-4">
                  <mat-form-field class="example-full-width col-4" appearance="outline">
                    <mat-label>Año de vencimiento</mat-label>
                    <input type="text" onkeypress='return event.charCode >= 48 && event.charCode <= 57' maxlength="2" matInput formControlName="anio" required>
                    <mat-error *ngIf="TarjetaForm.get('anio').hasError('required')">
                      El año es requerido
                    </mat-error>
                  </mat-form-field>
                </div>
                <div class="col-md-4">
                  <mat-form-field class="example-full-width col-4" appearance="outline">
                    <mat-label>Mes de vencimiento</mat-label>
                    <input type="text" onkeypress='return event.charCode >= 48 && event.charCode <= 57' maxlength="2" matInput formControlName="mes" required>
                    <mat-error *ngIf="TarjetaForm.get('mes').hasError('required')">
                      El mes es requerido
                    </mat-error>
                  </mat-form-field>
                </div>
                <div class="col-md-4">
                  <mat-form-field class="example-full-width col-4" appearance="outline">
                    <mat-label>Codigo CVV</mat-label>
                    <input type="text" onkeypress='return event.charCode >= 48 && event.charCode <= 57' maxlength="3" matInput formControlName="cvv" required>
                    <mat-error *ngIf="TarjetaForm.get('cvv').hasError('required')">
                      El cvv es requerido
                    </mat-error>
                  </mat-form-field>
                </div>

                <div *ngIf="loader" class="col-md-6 container d-flex justify-content-center">
                  <div class="preloader pl-size-xs">
                    <div class="spinner-layer pl-red-grey">
                      <div class="circle-clipper left">
                        <div class="circle"></div>
                      </div>
                      <div class="circle-clipper right">
                        <div class="circle"></div>
                      </div>
                    </div>
                  </div>
                  <p>procesando su pago</p>
                </div>

                <div *ngIf="!loader" class="col-md-6">
                  <button [disabled]="!TarjetaForm.valid" mat-flat-button color="primary" class="login100-form-btn"
                  (click)="crearSuscripcion()">
                    Pagar
                  </button>
                </div>

                <div class="col-md-6">
                  <button mat-flat-button class="login100-form-btn" (click)="verFormTarjeta()" style="background-color: red;">
                    Cancelar
                  </button>
                </div>

              </div>
                </form>
            </div>
          </div>
        </div>

        <div class="container-login100-form-btn" style="margin-top: 20px;">
          <button [disabled]="!suscrito" mat-flat-button color="primary" class="login100-form-btn" type="submit">
            Registrarse
          </button>
        </div>

        <div class="flex-sb-m w-full p-t-15 p-b-20">
          <div>
            <span>O
              <a routerLink="/authentication/signin">
                Iniciar Sesión
              </a>
            </span>
          </div>
        </div>

      </form>
      <div class="login100-more" style="background-image: url('assets/images/pages/bg-02.png');">
      </div>
    </div>
  </div>
</div>